Bug 23689 - Terminology: Branches limitations should be libraries limitations - Authorised Values
Summary: Terminology: Branches limitations should be libraries limitations - Authorise...
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Martin Renvoize
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-09-27 12:50 UTC by Martin Renvoize
Modified: 2019-11-18 13:57 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00,19.05.05


Attachments
Bug 23689: Fix terminology for branches limitations on authorized values (2.48 KB, patch)
2019-09-27 14:01 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23689: Fix terminology for branches limitations on authorized values (2.54 KB, patch)
2019-09-27 14:21 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23689: Fix terminology for branches limitations on authorized values (2.53 KB, patch)
2019-09-30 13:01 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 23689: Fix terminology for branches limitations on authorized values (2.54 KB, patch)
2019-09-30 13:11 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 23689: (follow-up) Use Library limitations to match other occurrences (1.21 KB, patch)
2019-09-30 13:11 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2019-09-27 12:50:15 UTC
On the authorized value administration pages we should use 'libraries limitations' instead of 'branches limitations'.
Comment 1 Martin Renvoize 2019-09-27 14:01:25 UTC
Created attachment 93206 [details] [review]
Bug 23689: Fix terminology for branches limitations on authorized values

This patch corrects the terminology and also updates the tooltip to use
the current bootstrap tooltip library.
Comment 2 Martin Renvoize 2019-09-27 14:03:20 UTC
The patch updates the tooltip to use the bootstrap tooltip but I have no idea how it was displaying a tooltip in the first place and I'm still seeing some markup at the bottom of the page pertaining to the original tooltip implementation.
Comment 3 Owen Leonard 2019-09-27 14:21:20 UTC
Created attachment 93207 [details] [review]
Bug 23689: Fix terminology for branches limitations on authorized values

This patch corrects the terminology and also updates the tooltip to use
the current bootstrap tooltip library.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 4 Martin Renvoize 2019-09-27 14:25:17 UTC
(In reply to Martin Renvoize from comment #2)
> The patch updates the tooltip to use the bootstrap tooltip but I have no
> idea how it was displaying a tooltip in the first place and I'm still seeing
> some markup at the bottom of the page pertaining to the original tooltip
> implementation.

Ignore that.. the markup I was seeing was inserted by a browser extension. Still, no idea how the original tooltip was working but this does update it to use the same implementation as elsewhere (itemtypes table for instance)
Comment 5 Katrin Fischer 2019-09-30 13:01:04 UTC
Created attachment 93243 [details] [review]
Bug 23689: Fix terminology for branches limitations on authorized values

This patch corrects the terminology and also updates the tooltip to use
the current bootstrap tooltip library.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 6 Katrin Fischer 2019-09-30 13:11:40 UTC
Created attachment 93245 [details] [review]
Bug 23689: Fix terminology for branches limitations on authorized values

This patch corrects the terminology and also updates the tooltip to use
the current bootstrap tooltip library.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 7 Katrin Fischer 2019-09-30 13:11:48 UTC
Created attachment 93246 [details] [review]
Bug 23689: (follow-up) Use Library limitations to match other occurrences
Comment 8 Martin Renvoize 2019-10-01 06:46:05 UTC
Nice work!

Pushed to master for 19.11.00
Comment 9 Fridolin SOMERS 2019-10-08 08:32:39 UTC
Pushed to 19.05.x for 19.05.05
Comment 10 Lucas Gass 2019-11-13 22:57:06 UTC
i cannot clean apply this patchset and I am a bit unsure about my rebase, without a proper test plan I am afraid to backport
Comment 11 Katrin Fischer 2019-11-18 13:57:29 UTC
(In reply to Lucas Gass from comment #10)
> i cannot clean apply this patchset and I am a bit unsure about my rebase,
> without a proper test plan I am afraid to backport

Hi Lucas, this is only a terminology change - I think we can skip it for the late 18.11 versions.